### Method

# Gtk Actionable set_action_name

#### Declaration [src]

    void
    gtk_actionable_set_action_name (
      GtkActionable* actionable,
      const char* action_name
    )

#### Description [src]

Specifies the name of the action with which this widget should be associated.

If `action_name` is `NULL` then the widget will be unassociated from any previous action.

Usually this function is used when the widget is located (or will be located) within the hierarchy of a `GtkApplicationWindow`.

Names are of the form “win.save” or “app.quit” for actions on the containing `GtkApplicationWindow` or its associated `GtkApplication`, respectively. This is the same form used for actions in the `GMenu` associated with the window.

Sets property | `Gtk.Actionable:action-name`

#### Parameters

`action_name`

  Type: `const char*`

  An action name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.